Subject: Re: [PATCH 1/1] net/unix: Allow Unix sockets to be treated like normal files

From: Jeff Hansen <[email-masked]>
Date: Wed, 27 Oct 2010 20:50:17 -0600

Dave,

I agree that on larger systems this doesn't really make sense, but on 
embedded platforms this can save some code space since applications can 
get rid of their FIFO listeners and have strictly socket listeners.  
That's why I made it an option that could be disabled by default.

Do you know who originally suggested that "creepy crawlies" are 
introduced by allowing sockets to be opened?  I'd be interested to know 
how this could affect security, if at all.

-Jeff

On 10/27/2010 08:32 PM, David Miller wrote:
> From: [email-masked]
> Date: Thu, 28 Oct 2010 02:24:29 +0000
>
>> Resent.  Is there anything else I need to do for this patch to get reviewed
>> and/or merged?  Any comments by anyone?
> I don't like this idea at all.
>
> I remember there is a reason why similar things are not allowed for
> sockets, it causes all sorts of problems although I forget the exact
> details.
>
> Take a look at net/socket.c:sock_no_open(), for example.
>

-- 
---------------------------------------------------
"If someone's gotta do it, it might as well be me."
                 [email-masked]